Skip to main content

Set up Google Cloud backup to cloud

Sets up Google Cloud backup to cloud on an on-premises system, configuring the system to use Google Cloud as the backup destination. Use this to establish backup workflows for data protection and recovery.

HTTP method and endpoint

POST /onprem/working-environments/{workingEnvironmentId}/gcp-cloud-backup-setup

Parameters

Name Type In Required Description

workingEnvironmentId

string

path

True

Request Body

Name Type Required Description

accessKey

string

False

Google Cloud access key used by NetApp Backup and Recovery.

ipSpace

string

False

IPspace

project

string

False

Google Cloud project ID. By default, the NetApp Console project.

region

string

False

The region. By default, the NetApp Console region.

secretKey

string

False

Google Cloud secret key used by NetApp Backup and Recovery.

Example request
{
  "accessKey": "string",
  "ipSpace": "string",
  "project": "string",
  "region": "string",
  "secretKey": "string"
}

Error

Status: Default, Default response